%define	version	1.0.1
%define release	3mdk

Summary:	Mind game - build molecules out of single atoms
Name:		atomix
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Puzzles
URL:		http://triq.net/~jens/atomix.php
Source:		http://triq.net/~jens/download/%{name}-%{version}.tar.bz2
Patch0:		atomix-1.0.1-build.patch.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	intltool >= 0.28
BuildRequires:	automake1.8
Prereq:		rpm-helper

%description
Atomix is a little mind game where you have to build molecules out of
single atoms. These are laying around between the walls and obstacles
on the playfield. Once you have pushed an atom in one direction it
moves until it hits an obstacle or another atom. It needs some thinking
how to construct complex molecules with this atom behaviour. The game
is inspired by the original Amiga version.

%prep
%setup -q
%patch0 -p1 -b .newgcc

%build
intltoolize -c -f
AUTOMAKE=automake-1.8 ACLOCAL=aclocal-1.8 autoreconf --force --install
%configure2_5x --bindir=%{_gamesbindir}

# Directly copies .xml.in -> .xml results in correct localization(!)
cp src/atomix-ui.xml.in src/atomix-ui.xml

%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std bindir=%{_gamesbindir}

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<_EOF_
?package(%{name}): \
 command="%{_gamesbindir}/atomix" \
 icon="%{name}.png" \
 longtitle="Build molecules out of single atoms" \
 needs="x11" \
 section="More Applications/Games/Puzzles" \
 title="Atomix" \
 startup_notify="yes"
_EOF_

install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%pre
%create_ghostfile %{localstatedir}/games/atomix.scores games games 0664

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%attr(2511, root, games) %{_gamesbindir}/atomix
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%ghost %{_localstatedir}/games/atomix.scores
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 1.0.1-3mdk
- Yet another BuildRequires fix
- Fix pre script

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 1.0.1-2mdk
- Fix BuildRequires (thx Stefan's bot)
- P0: fix build with newer gcc
- Regen auto* stuff because of change in intltool

* Wed Dec 31 2003 Abel Cheung <deaddog@deaddog.org> 1.0.1-1mdk
- First Mandrake package (?)
